Skip to:
Content
Pages
Categories
Search
Top
Bottom
Codex Home → Search Results → notice

Version 3.0.0

Published on May 16th, 2018 by Paul Gibbs

Version 3.0 is a major BuddyPress feature release. For Version 3.0, the database version (_bp_db_version in wp_options) was 11105, and the Trac revision was 11965. To read the full list of features, fixes, and changes in this version of BuddyPress, visit Trac. Say hello to “Nouveau”! A bold reimagining of our legacy templates, Nouveau is our celebration […]

Version 2.9.2

Published on November 2nd, 2017 by Boone Gorges

Version 2.9.2 is a BuddyPress security and maintenance release. For Version 2.9.2, the database version (bp_db_version in wp_options) was r11105, and the Trac revision was r11733. Fixes: Improved nonce protection for sitewide notice actions. Improved handling of serialized data. Improved redirect sanitization on user edit screens. Improved sanitization of query values passed to directory screen […]

Version 2.9.0

Published on July 29th, 2017 by r-a-y

Version 2.9 is a major BuddyPress feature release. For Version 2.9, the database version (_bp_db_version in wp_options) was 11105, and the Trac revision was 11651. Read the full ticket log here here. Highlights Edit Group Slug Allow administrators to change group names and permalinks. Navigate to the Groups screen in the wp-admin dashboard, click on […]

Version 2.8.1

Published on February 22nd, 2017 by Boone Gorges

Version 2.8.1 is a BuddyPress maintenance release, released on February 22, 2017. For Version 2.8.1, the database version (bp_db_version in wp_options) was 11105, and the Trac revision was r11445. Read the full ticket log here. Fixes Groups: Fix bug in the syntax of a apply_filters_ref_array() call. (#7420) XProfile: Fix regression in 2.8.0 that prevented some […]

Version 2.8.0

Published on January 19th, 2017 by Paul Gibbs

Version 2.8.0 is a major BuddyPress feature release. For Version 2.8.0, the database version (_bp_db_version in wp_options) was 11105, and the Trac revision was 11431. Read the full ticket log here. Highlights Modernizing the Codebase To continue the migration of legacy code to modern standards and techniques necessary for the BP REST API project and […]

Version 2.7.1

Published on November 3rd, 2016 by @mercime

Version 2.7.1 is a BuddyPress maintenance release. For Version 2.7.1, the database version (bp_db_version in wp_options) was 11105, and the Trac revision was r11225. Read the full ticket log here. Fixes Core: Grant the ‘bp_xprofile_change_field_visibility’ cap to logged-out users. (#7298) xprofile: Fix regression being unable to select year in date field type. (#7300) Groups: Improve […]

Template Updates 2.7

Published on October 8th, 2016 by Hugo Ashmore

In BuddyPress 2.7 we introduce some new features that specifically require template adjustment. These changes are of importance for theme developers who may have overloaded the templates to the themes directory and these will need to be updated from the details here. If you are simply inheriting templates then there is no need to worry. […]

Version 2.7.0

Published on October 6th, 2016 by @mercime

Version 2.7.0 is a major BuddyPress feature release. For Version 2.7.0, the database version (_bp_db_version in wp_options) was 11105, and the Trac revision was 11202. Read the full ticket log here. Highlights Groups Query Overhaul Huge performance improvements on sites using persistent caching. Learn more about the Groups Query rewrite. Improved Profile Date Field New […]

BuddyPress 2.8 requires PHP 5.3+

Published on October 3rd, 2016 by Boone Gorges

Starting with version 2.8, the minimum version of PHP required to run BuddyPress is 5.3. Why the change? PHP is the server-side programming language that powers WordPress and BuddyPress. Old versions of PHP are potentially unstable and insecure, and are missing some features that can be used to make BuddyPress faster and more powerful. The […]

PHP version support

Published on July 21st, 2016 by Boone Gorges

BP supports the latest versions of PHP BuddyPress supports all stable versions of PHP officially supported by the PHP project. For the best security and performance, site admins are strongly encouraged to run the latest stable PHP. BuddyPress 6.0.0 will require at least PHP 5.6 Legacy PHP support In addition to the official supported releases, […]

Newer →← Older
Skip to toolbar